# __gnu_parallel::plus< _Tp1, _Tp2 > Struct Template Reference

Similar to std::plus, but allows two different types. More...

Inheritance diagram for __gnu_parallel::plus< _Tp1, _Tp2 >:

List of all members.

## Public Types

- typedef _Tp1 first_argument_type
- typedef _Tp1 result_type
- typedef _Tp2 second_argument_type
- typedef __typeof__(*)(const
  _Tp1 &__x, const _Tp2 &__y static_cast )(NULL)+*static_cast< _Tp2 * >(NULL)) result;resultoperator(

## Detailed Description

### template<typename _Tp1, typename _Tp2>
struct __gnu_parallel::plus< _Tp1, _Tp2 >

Similar to std::plus, but allows two different types.

Definition at line 281 of file base.h.

## Member Typedef Documentation

typedef _Tp1 std::binary_function< _Tp1 , _Tp2 , _Tp1 >::first_argument_type `[inherited]`

the type of the first argument (no surprises here)

Definition at line 114 of file stl_function.h.

typedef _Tp1 std::binary_function< _Tp1 , _Tp2 , _Tp1 >::result_type `[inherited]`

type of the return type

Definition at line 118 of file stl_function.h.

typedef _Tp2 std::binary_function< _Tp1 , _Tp2 , _Tp1 >::second_argument_type `[inherited]`

the type of the second argument

Definition at line 117 of file stl_function.h.

The documentation for this struct was generated from the following file:

- base.h